INTERFACE
SUBROUTINE SUJBGPTOMAT (KSCALE,KNUMB,YD_PVC,PLON,PLAT,KGPTOMAT)
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE YOMDIM , ONLY : NPROMA
USE YOMWAVELET,ONLY : WAVELET_VCOR_STRUCT
INTEGER(KIND=JPIM),INTENT(IN) :: KSCALE
INTEGER(KIND=JPIM),INTENT(IN) :: KNUMB
TYPE (WAVELET_VCOR_STRUCT), INTENT(IN) :: YD_PVC
REAL(KIND=JPRB) ,INTENT(IN) :: PLON(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PLAT(NPROMA)
INTEGER(KIND=JPIM),INTENT(OUT) :: KGPTOMAT(KNUMB)
END SUBROUTINE SUJBGPTOMAT
END INTERFACE
